Subject: bug#35189: AR warning

From: Bob Friesenhahn <[email-masked]>
Date: Tue, 9 Apr 2019 09:51:56 -0500 (CDT)

On Tue, 9 Apr 2019, . wrote:

> Otherwise the temporary fix for this for code builds is to put
> *AR_FLAGS="crU"* in configure.ac

Obviously this would cause problems when 'ar' does not support the 
binutils-specific 'U' option and the result is then non-deterministic. 
Hard-coding non-portable options is contrary to the goals of portable 
software.

The deterministic build may slow down the build process and the 
warning is annoying.  Deterministic builds are a good thing though.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/
Public Key,     http://www.simplesystems.org/users/bfriesen/public-key.txt